Subject: [alpine-devel] unstable/luaexpat: new aport

From: "Mika Havela" <[email-masked]>
Date: Thu, 04 Jun 2009 09:37:31 +0000

Please review.
(Reference: http://luaforge.net/projects/luaexpat/)

<<mhavela>>

From cb2414143f4f7843adf320de7d6d315f0ddc6d6a Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Thu, 4 Jun 2009 09:35:42 +0000
Subject: [PATCH] unstable/luaexpat: new aport
 LuaExpat is a SAX XML parser based on the Expat library. LuaExpat is free software and uses the same license as Lua 5.0.
 http://luaforge.net/projects/luaexpat/

---
 unstable/luaexpat/APKBUILD  |   28 ++++++++++++++++++++++++++++
 unstable/luaexpat/newconfig |   26 ++++++++++++++++++++++++++
 2 files changed, 54 insertions(+), 0 deletions(-)
 create mode 100644 unstable/luaexpat/APKBUILD
 create mode 100644 unstable/luaexpat/newconfig

diff --git a/unstable/luaexpat/APKBUILD b/unstable/luaexpat/APKBUILD
new file mode 100644
index 0000000..063eedd
--- /dev/null
+++ b/unstable/luaexpat/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=luaexpat
+pkgver=1.1
+pkgrel=0
+pkgdesc="LuaExpat is a SAX XML parser based on the Expat library. LuaExpat is free software and uses the same license as Lua 5.0."
+url="http://luaforge.net/projects/luaexpat/"
+license="MIT"
+depends="lua expat uclibc"
+makedepends="lua-dev expat-dev"
+install=
+#subpackages="$pkgname-doc $pkgname-dev"
+source="http://luaforge.net/frs/download.php/2469/$pkgname-$pkgver.tar.gz
+newconfig"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+	mv ../newconfig ./config
+
+	make || return 1
+	make LUA_DIR="$pkgdir"/usr/share/lua/5.1 LUA_LIBDIR="$pkgdir"/usr/lib/lua/5.1 install
+
+	# install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+	# install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="6ecb895ccf5cff1e7f2facd438b1f8d0  luaexpat-1.1.tar.gz
+eb947b7aa99b487289b02c1ab1b8ccd3  newconfig"
diff --git a/unstable/luaexpat/newconfig b/unstable/luaexpat/newconfig
new file mode 100644
index 0000000..7d8d633
--- /dev/null
+++ b/unstable/luaexpat/newconfig
@@ -0,0 +1,26 @@
+LUA_LIBDIR= usr/lib/lua/5.1
+LUA_DIR= usr/share/lua/5.1
+LUA_INC= /usr/include
+EXPAT_INC= /usr/include
+
+# OS dependent
+LIB_OPTION= -shared
+
+LIBNAME= $T.so.$V
+LUA_VERSION_NUM= 514
+COMPAT_DIR= ../compat/src
+
+# Compilation parameters
+CWARNS = -Wall -pedantic \
+        -Waggregate-return \
+        -Wcast-align \
+        -Wmissing-prototypes \
+        -Wstrict-prototypes \
+        -Wnested-externs \
+        -Wpointer-arith \
+        -Wshadow \
+        -Wwrite-strings
+
+CFLAGS = $(CWARNS) -ansi -O2 -I$(LUA_INC) \
+   -I$(COMPAT_DIR) -I$(EXPAT_INC)
+CC = gcc
-- 
1.6.2.5

---

From: Michael Mason <[email-masked]>
Date: Thu, 4 Jun 2009 14:47:47 +0000

> (Reference: http://luaforge.net/projects/luaexpat/)

Applied patch. See http://git.alpinelinux.org/cgit/aports-mmason/.
Build looks good.

If you are using the apk from this let me know and we can move it to  
testing.

THX

> <0001-unstable-luaexpat-new-aport.patch>

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---